matrix-appservice-gitter
========================
Gitter appservice for matrix

Current chart version is `0.1.0`





## Chart Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| config.alias_template | string | `"gitter_${ROOM}"` |  |
| config.data_dir | string | `"/data"` | The storage location for data files. This should be something like /data for docker. |
| config.enable_metrics | bool | `true` |  |
| config.enable_portals | bool | `false` |  |
| config.gitter_api_key | string | `nil` | the API key obtained from https://developer.gitter.im/apps |
| config.logging | object | `{"console":"debug","files":[],"maxFiles":1}` | Logging config |
| config.matrix_admin_room | string | `nil` | the ID of the room created in step 2 |
| config.matrix_external_url | string | `nil` | External url for media |
| config.matrix_homeserver | string | `nil` | http URL pointing at the homeserver |
| config.matrix_user_domain | string | `nil` | The domain for locally-created users |
| config.name_mangling | list | `[{"pattern":"@irc_(.*):example.com","template":"$1 (IRC)"}]` | A list of rules to define how to generate `usernames` on the gitter side of the relaybot for various patterns of matrix user ID |
| config.username_template | string | `"_gitter_${USER}"` | A template to use to generate locally-created usernames. This string must contain ${USER} somewhere inside it. |
| fullnameOverride | string | `""` |  |
| image.pullPolicy | string | `"Always"` |  |
| image.repository | string | `"matrixdotorg/matrix-appservice-gitter"` |  |
| image.tag | string | `"latest"` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"chart-example.local"` |  |
| ingress.hosts[0].paths | list | `[]` |  |
| ingress.tls | list | `[]` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| persistence.accessModes[0] | string | `"ReadWriteMany"` |  |
| persistence.enabled | bool | `false` |  |
| persistence.existingClaim | string | `nil` |  |
| persistence.size | string | `"8Gi"` |  |
| persistence.storageClassName | string | `nil` |  |
| podSecurityContext | object | `{}` |  |
| registration.as_token | string | `nil` |  |
| registration.hs_token | string | `nil` |  |
| registration.id | string | `"gitter"` |  |
| registration.namespaces.aliases[0].exclusive | bool | `true` |  |
| registration.namespaces.aliases[0].regex | string | `"#gitter_.*"` |  |
| registration.namespaces.rooms | list | `[]` |  |
| registration.namespaces.users[0].exclusive | bool | `true` |  |
| registration.namespaces.users[0].regex | string | `"@gitter_.*"` |  |
| registration.protocols | string | `nil` |  |
| registration.rate_limited | bool | `true` |  |
| registration.sender_localpart | string | `"gitterbot"` |  |
| registration.url | string | `nil` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| service.port | int | `5858` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `nil` |  |
| tolerations | list | `[]` |  |
